Summary
Save a Generated Form
Description
Save a generated form with its data.
Route
POST /formbuilder/saveForm
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| formData |
object |
yes |
Form data to be saved. |
Copied to Clipboard
{
"formData": {
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "34320e12-2702-7448-5d27-461e1e821fcf",
"groups": [
"7b361df0e13698ca3aa65d56",
"758026fa6a198967b35f5d33",
"0015fe1ea00f195d6a06dc87",
"5c41222eb7a488ba1faf7af0"
],
"created": "1968-04-29T16:19:23.347Z",
"created_by": "66a1af605fd86b89a6ad0c37",
"last_updated": "2025-04-25T20:14:34.252Z",
"last_updated_by": "b7b3e1caa614154e5e8d61ed"
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"formData": {
"title": "formData",
"$ref": "formDocument"
}
},
"required": [
"formData"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| reply |
object |
Status of save form |
Copied to Clipboard
{
"name": "Form 123",
"children": [
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
},
{
"type": "field",
"name": "ipaddress",
"properties": {
"type": "string",
"prefix": ""
},
"description": "IP address",
"element": "{\"type\":\"method\",\"id\":{\"name\":\"method_name_1\"}}",
"source_type": "method",
"source": "method_name_1",
"id": "a40044c2-f378-4b2b-a81a-41d78979e583",
"yangkey": "",
"key": "method_name_1.ipAddress"
}
],
"elements": [
{
"type": "method",
"id": {
"name": "method_name_1"
}
}
],
"_id": "6519f1fa-fb0d-aab5-4d9c-fff7313d4667",
"groups": [
"02cdcea37779d6fc87e7384d",
"cc06c0e03238e8b37b65755b",
"c2b8a217ccd98e8c9265473d",
"97efce071467d46a9c5935c8",
"e84783f6c1cd93740ecbf1fc"
],
"created": "2010-03-18T17:20:16.38Z",
"created_by": "b0cdcceecd078fd9e8719d7d",
"last_updated": "1989-12-14T10:34:41.367Z",
"last_updated_by": "cd84ed1dcfe14e5c49d06d2b"
}